# Update a product (/docs/api-reference/products/ProductsController_update)

`PATCH /api/factories/{factoryId}/products/{id}`

Base URL: https://api.xentr.ai

Authentication: bearer token (`Authorization: Bearer <token>`).

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `factoryId` | path | yes | string | Factory ID |
| `id` | path | yes | string | Product ID |

## Request body

Required.

Content type: `application/json`

```json
{
  "type": "object",
  "properties": {
    "name": {
      "type": "string",
      "description": "Product name"
    },
    "partNumber": {
      "type": "string",
      "description": "Part number"
    },
    "description": {
      "type": "string",
      "description": "Product description"
    },
    "unit": {
      "type": "string",
      "description": "Unit of measure"
    },
    "categories": {
      "description": "Categories",
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "tags": {
      "description": "Tags",
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "specPoints": {
      "description": "Bulleted inspection requirements",
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "lifecycleStatus": {
      "type": "string",
      "description": "Lifecycle status",
      "enum": [
        "draft",
        "active",
        "discontinued",
        "archived"
      ]
    }
  }
}
```

## Responses

### 200: Product updated

### 404: Product not found